MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025694Community[OCCT] OCCT:Data Exchangepublic2015-01-10 08:442015-05-14 15:33
ReporterRoman Lygin 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025694: Change STEP exporter to use AP214 IS by default
DescriptionUp to now the STEP exporter used AP214DIS (Draft International Standard) to write STEP files. The AP214 was upgraded to IS status 15 years ago by the ISO, and the respective schema has been broadly adopted.

Using the IS (instead of preceding CD and DIS) will increase interoperability with other tools which expect (or are only able to work with) the IS level.

The modification is basically to change the default value of the "write.step.schema" parameter.
Steps To Reproducebox b 1 2 3
stepwrite a b
data g
#see FILE_SCHEMA to contain "AUTOMOTIVE_DESIGN { 1 0 10303 214 1 1 1 1 }"
TagsNo tags attached.
Test case numberbugs step(014) bug25694
Attached Files

- Relationships

-  Notes
(0035934)
Roman Lygin (developer)
2015-01-10 08:49

Correction: up to now the default value was AP214CD which is even preceding to DIS.
(0035935)
git (administrator)
2015-01-10 08:50

Branch CR25694 has been created by Roman Lygin.

SHA-1: a32233016f2ddc5c1824b883d3dc88d140231bcf


Detailed log of new commits:

Author: Roman Lygin
Date: Sat Jan 10 08:46:44 2015 +0400

    0025694: Change STEP exporter to use AP214 IS by default
(0035936)
abv (manager)
2015-01-10 09:20

No remarks, please test
(0036159)
git (administrator)
2015-01-16 17:18

Branch CR25694 has been updated forcibly by apv.

SHA-1: 40c64afbbe891b73c8885bdaf33c5679c8c6bda4
(0036160)
apv (tester)
2015-01-16 17:19

Branch CR25694 has been rebased on the current master
(0036322)
git (administrator)
2015-01-21 14:39

Branch CR25694 has been updated by apv.

SHA-1: 8e3d7fe0339c8d227ce2dc6b56ec5eaccad9a01a


Detailed log of new commits:

Author: apv
Date: Wed Jan 21 14:39:15 2015 +0300

    Test-case for issue 0025694

(0036332)
apv (tester)
2015-01-21 15:24

Dear BugMaster,

Branch CR25694 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 40c64afbbe891b73c8885bdaf33c5679c8c6bda4

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs step(014) bug25694 - OK
http://occt-tests/CR25694-master-occt/Debian60-64/bugs/step/bug25694.html [^]
http://occt-tests/CR25694-master-occt/Windows-32-VC10/bugs/step/bug25694.html [^]

Testing on Linux:
Total MEMORY difference: 370045396 / 369907280
Total CPU difference: 46864.53000000016 / 46828.580000000045

Testing on Windows:
Total MEMORY difference: 276487524 / 276892936
Total CPU difference: 35632.046875 / 39964.484375
(0036513)
git (administrator)
2015-01-26 12:31

Branch CR25694 has been deleted by inv.

SHA-1: 8e3d7fe0339c8d227ce2dc6b56ec5eaccad9a01a

- Related Changesets
occt: master 71595c29
Timestamp: 2015-01-22 13:42:58
Author: Roman Lygin
Committer: bugmaster
Details ] Diff ]
0025694: Change STEP exporter to use AP214 IS by default

Test-case for issue 0025694
mod - src/STEPControl/STEPControl_Controller.cxx Diff ] File ]
add - tests/bugs/step/bug25694 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-10 08:44 Roman Lygin New Issue
2015-01-10 08:44 Roman Lygin Assigned To => gka
2015-01-10 08:49 Roman Lygin Note Added: 0035934
2015-01-10 08:49 Roman Lygin Status new => resolved
2015-01-10 08:49 Roman Lygin Steps to Reproduce Updated View Revisions
2015-01-10 08:50 git Note Added: 0035935
2015-01-10 09:20 abv Note Added: 0035936
2015-01-10 09:20 abv Assigned To gka => bugmaster
2015-01-10 09:20 abv Status resolved => reviewed
2015-01-16 17:04 apv Assigned To bugmaster => apv
2015-01-16 17:18 git Note Added: 0036159
2015-01-16 17:19 apv Note Added: 0036160
2015-01-21 14:39 git Note Added: 0036322
2015-01-21 14:40 apv Test case number => bugs step(014) bug25694
2015-01-21 15:24 apv Note Added: 0036332
2015-01-21 15:24 apv Assigned To apv => bugmaster
2015-01-21 15:24 apv Status reviewed => tested
2015-01-23 16:19 bugmaster Changeset attached => occt master 71595c29
2015-01-23 16:19 bugmaster Status tested => verified
2015-01-23 16:19 bugmaster Resolution open => fixed
2015-01-26 12:31 git Note Added: 0036513
2015-05-14 15:29 user533 Status verified => closed
2015-05-14 15:33 user533 Fixed in Version => 6.9.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker